Skip to main content
GET
Get project sample metadata filter options

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Query Parameters

category
enum<string>
required

Which of the three acquisition categories to retrieve data from

Available options:
training,
testing,
validation,
post-processing,
all
limit
integer

Maximum number of results

offset
integer

Offset in results, can be used in conjunction with LimitResultsParameter to implement paging.

datasetVersionId
integer

Dataset version ID. If not set, the current mutable dataset is used

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

totalCount
integer
required
count
integer
required
optionsList
object[]
required

Available metadata filter options that can be supplied to the /raw-data/ endpoint to filter samples

error
string

Optional error description (set if 'success' was false)